From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/menulibre/
Date: Wed, 29 Nov 2017 06:24:17 +0000 (UTC) [thread overview]
Message-ID: <1511936648.9c0669b1885b70c3b1acb8920497ca7763749019.jer@gentoo> (raw)
commit: 9c0669b1885b70c3b1acb8920497ca7763749019
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 29 06:20:12 2017 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Nov 29 06:24:08 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c0669b1
Revert "x11-misc/menulibre: Old."
This reverts commit f532ef52b3f9cd1749c6ba86cc13e9f43947b9ef.
| 2 +
| 68 +++++++++++++++++++++++++++++++
| 68 +++++++++++++++++++++++++++++++
3 files changed, 138 insertions(+)
--git a/x11-misc/menulibre/Manifest b/x11-misc/menulibre/Manifest
index 40af0a788e9..9ebee3685b0 100644
--- a/x11-misc/menulibre/Manifest
+++ b/x11-misc/menulibre/Manifest
@@ -1,2 +1,4 @@
+DIST menulibre-2.0.7.tar.gz 179919 SHA256 29ce8bc117b5aff3bc535f1cb94b356351442e0199f1e94d906f9b234d9c0f66 SHA512 bb0d78b9feaaf6e5c52f339b9174158d819201a0418234f9fcba2783068c56f58ba1c2b0d9d943df7ce47b41d3ef76389691d74031d2283e22526e01db06692c WHIRLPOOL 63b94f88606f15fb64e84860011e0034067356e731fd957fcd75e4e384e26dbc84ef34b8bb7c0215bebfd60157a77cae1bb8f505a5ef6e484250396f78fbd886
+DIST menulibre-2.1.3.tar.gz 231336 SHA256 bdd69740119902f1b1f8c7831155f4428403792a0a6c4287bcbb395c4e71fb31 SHA512 0a9040bcb311fe993238e5d1fc459db2400466c538c729ecd5bf2ff20cf9c7300ef2543c56ae4ef7cfa44cd66768ee9a9001ab997fd2507d8d74a246b2029c7a WHIRLPOOL 9d5086659914edda86063844e052078ea96c731d8fc900b50b9f06ecf8286621020afbd60743dcfc4494ee544f3395855cef929d267d726891bc067f09e12c4d
DIST menulibre_13.01.4.tar.gz 322686 SHA256 2329b426af55936dc40c7d1bcae99f98b674d06e3757657bd47dcb93d1ac45f3 SHA512 c3311443d00901d0c80078e4f51f81cc2bafbb8048a8eb1f0594e4430e9d8d1c563f4ec6b423952d3e8523f921220bb9d6fa0e4a62453d07011ae781070750d4 WHIRLPOOL b419f3285a97918796c08d0cb7681ada8f6bd19297bdfaea603c2e6256c06d775369d683f150f9c708d26ff2220fceb97d37541143bbcd9d08387e5ebd2967d5
DIST menulibre_13.04.17.tar.gz 337166 SHA256 84cd21d92bb16cc221d7fa7ebf801a7493cce8743dd15b65d72af23d4b421a99 SHA512 7e0a2c3d765612a1c9ae9f82206fc180d7edc06dbe294bd200d699ecdb243a28ba58030b94084bc0525540f514642914b4224d766d4c9817ee7ee9ac9074b627 WHIRLPOOL d8d87c4180623a956f3c799b506c8718f1b42dcc7554df20d7e21b612f3134451250f5e5b07db0f672df40b1478b8e4189be94ea1850a8008800fe5c07ad051c
--git a/x11-misc/menulibre/menulibre-2.0.7.ebuild b/x11-misc/menulibre/menulibre-2.0.7.ebuild
new file mode 100644
index 00000000000..ac7afaa8dcc
--- /dev/null
+++ b/x11-misc/menulibre/menulibre-2.0.7.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python3_4 )
+PYTHON_REQ_USE="xml"
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit distutils-r1 eutils gnome2-utils versionator
+
+DESCRIPTION="Advanced freedesktop.org compliant menu editor"
+HOMEPAGE="http://www.smdavis.us/projects/menulibre/"
+SRC_URI="https://launchpad.net/${PN}/$(get_version_component_range 1-2)/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ dev-python/python-distutils-extra[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ dev-libs/gobject-introspection
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ gnome-base/gnome-menus[introspection]
+ x11-libs/gdk-pixbuf[X,introspection]
+ x11-libs/gtk+:3[X,introspection]
+ x11-libs/gtksourceview:3.0[introspection]
+ x11-themes/hicolor-icon-theme
+"
+
+python_prepare_all() {
+ # too many categories
+ sed -i \
+ -e 's/X-GNOME-Settings-Panel;X-GNOME-PersonalSettings;DesktopSettings;X-XFCE;//' \
+ menulibre.desktop.in || die
+
+ local i
+ # fix incorrect behavior when LINGUAS is set to an empty string
+ # https://bugs.launchpad.net/python-distutils-extra/+bug/1133594
+ if [[ -n "${LINGUAS+x}" ]] ; then # if LINGUAS is set
+ for i in $(cd "${S}"/po ; for p in *.po ; do echo ${p%.po} ; done) ; do # for every supported language
+ if ! has ${i} ${LINGUAS} ; then # if language is disabled
+ rm po/${i}.po || die
+ fi
+ done
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
--git a/x11-misc/menulibre/menulibre-2.1.3.ebuild b/x11-misc/menulibre/menulibre-2.1.3.ebuild
new file mode 100644
index 00000000000..ac7afaa8dcc
--- /dev/null
+++ b/x11-misc/menulibre/menulibre-2.1.3.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python3_4 )
+PYTHON_REQ_USE="xml"
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit distutils-r1 eutils gnome2-utils versionator
+
+DESCRIPTION="Advanced freedesktop.org compliant menu editor"
+HOMEPAGE="http://www.smdavis.us/projects/menulibre/"
+SRC_URI="https://launchpad.net/${PN}/$(get_version_component_range 1-2)/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ dev-python/python-distutils-extra[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ dev-libs/gobject-introspection
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ gnome-base/gnome-menus[introspection]
+ x11-libs/gdk-pixbuf[X,introspection]
+ x11-libs/gtk+:3[X,introspection]
+ x11-libs/gtksourceview:3.0[introspection]
+ x11-themes/hicolor-icon-theme
+"
+
+python_prepare_all() {
+ # too many categories
+ sed -i \
+ -e 's/X-GNOME-Settings-Panel;X-GNOME-PersonalSettings;DesktopSettings;X-XFCE;//' \
+ menulibre.desktop.in || die
+
+ local i
+ # fix incorrect behavior when LINGUAS is set to an empty string
+ # https://bugs.launchpad.net/python-distutils-extra/+bug/1133594
+ if [[ -n "${LINGUAS+x}" ]] ; then # if LINGUAS is set
+ for i in $(cd "${S}"/po ; for p in *.po ; do echo ${p%.po} ; done) ; do # for every supported language
+ if ! has ${i} ${LINGUAS} ; then # if language is disabled
+ rm po/${i}.po || die
+ fi
+ done
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
next reply other threads:[~2017-11-29 6:24 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-11-29 6:24 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-24 11:54 [gentoo-commits] repo/gentoo:master commit in: x11-misc/menulibre/ Petr Vaněk
2024-05-28 20:49 Sam James
2024-05-05 12:11 Arthur Zamarin
2023-01-27 11:58 Ionen Wolkens
2023-01-27 11:58 Ionen Wolkens
2022-07-20 22:11 Conrad Kostecki
2022-03-14 11:43 Ionen Wolkens
2022-03-14 11:43 Ionen Wolkens
2022-02-12 6:28 Ionen Wolkens
2022-02-12 6:28 Ionen Wolkens
2022-02-12 6:28 Ionen Wolkens
2021-07-30 6:13 Sam James
2021-07-27 20:35 Sam James
2021-06-07 8:33 Joonas Niilola
2020-12-17 14:00 Mart Raudsepp
2020-11-26 3:42 Matt Turner
2020-11-26 3:42 Matt Turner
2020-11-26 3:42 Matt Turner
2020-11-25 23:22 Jonas Stein
2020-03-12 10:34 Mikle Kolyada
2020-02-02 14:04 Jeroen Roovers
2019-06-02 11:57 Jeroen Roovers
2019-06-02 11:57 Jeroen Roovers
2018-04-06 5:09 Jeroen Roovers
2018-04-06 5:09 Jeroen Roovers
2018-04-04 8:53 Jeroen Roovers
2018-01-20 10:38 Jeroen Roovers
2017-12-20 3:01 Jeroen Roovers
2017-11-29 6:51 Jeroen Roovers
2017-11-29 6:24 Jeroen Roovers
2017-11-29 6:24 Jeroen Roovers
2017-08-14 17:04 Jeroen Roovers
2016-08-29 5:34 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1511936648.9c0669b1885b70c3b1acb8920497ca7763749019.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox